/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerFieldResponse} from "./workerFieldResponse";
import {SubContractorPrincipalResponse} from "src/classLibrary/APIModels/core/subContractorPrincipalResponse";

export class WorkerPrincipalResponse {
    public name: string;

    public id: string;

    public trade: string[];

    public image: string;

    public data: object;

    public fields: WorkerFieldResponse;

    public tag?: string;

    public subContractor?: SubContractorPrincipalResponse;

    /**
     * Creates a WorkerPrincipalResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} trade
     * @param {string} image
     * @param {object} data
     * @param {WorkerFieldResponse} fields
     * @param {string} tag
     */
    constructor(name: string, id: string, trade: string[], image: string, data: object, fields: WorkerFieldResponse, tag: string) {
        this.name = name;
        this.id = id;
        this.trade = trade;
        this.image = image;
        this.data = data;
        this.fields = fields;
        this.tag = tag;
    }
}
